krb5plugin_db_ftable_desc(3)

NAME
krb5plugin_db_ftable_desc - Description of the krb5 DB plugin facility.

SYNOPSIS

#include <db_plugin.h>

Detailed Description

Description of the krb5 DB plugin facility. The krb5_aname_to_lname(3) function's DB rule is pluggable. The plugin is named KRB5_PLUGIN_DB ('krb5_db_plug'), with a single minor version, KRB5_PLUGIN_DB_VERSION_0 (0).

The plugin consists of a data symbol referencing a structure of type krb5plugin_db_ftable_desc, with three fields:

Parameters
    init Plugin initialization function (see krb5-plugin(7))
    minor_version The plugin minor version number (0)
    fini Plugin finalization function

The init entry point is expected to call heim_db_register(). The fini entry point is expected to do nothing.

Author

Generated automatically by Doxygen for Heimdal Kerberos 5 library from the source code.